Hallo, Gast! (Registrieren)

Letzte Ankündigung: MyBB 1.8.27 veröffentlicht (22.06.21)


Benutzer, die gerade dieses Thema anschauen: 1 Gast/Gäste
Google Maps Usermap
#21
@JAY

Der fehlerhafte Query erzeugte trotz Fehlermeldung von phpmyadmin einen Datenbankeintrag, nur eben unvollständig. Das Problem hatte ich auch. Wenn dann der Query nochmal (in richtiger Schreibweise) ausgeführt wird, entsteht in der DB ein doppelter Eintrag.
Zitat:Mir ist übrigens bewusst, dass die fehlerhaften Einträge über die Tabelle mybb_settings direkt gelöscht werden können
Sorry, mir ist natürlich bewusst, dass es Dir bewusst ist..... Big Grin
Zitieren
#22
Hi,

ach, passt schon Wink Mir war nicht bewusst, das dir bewusst ist, das es mir bewusst ist. Nun sollte es uns allen bewusst sein Big Grin Verrückt - oder?

Schönes Wochenende dir! Toungue

PS und Off-Topic: Wieso hast du und Gerti eigl kein Avatar hier im Forum? Verwirrt irgendwie Big Grin Ein Avatar ist doch was schönes! Wink
Zitieren
#23
(03.05.2019, 16:36)itsmeJAY schrieb: PS und Off-Topic: Wieso hast du und Gerti eigl kein Avatar.......

Ich werde es nachholen, sobald ich hier einen gewissen Wiedererkennungswert verdient habe.
Das könnte u.U. noch Jahrzehnte dauern. Big Grin 

Dir auch ein schönes WE Exclamation
Zitieren
#24
Exclamation 
Guten Tag Community,

nachdem ich das Plugin vor einigen Monaten ziemlich stark umgebaut habe, habe mich dazu entschieden, nur noch eigene Plugins zu supporten. Durch u.a dem MyBB.com-Forum wird der Support-Aufwand leider zu groß im Hinblick auf alle Plugins von mir.

Ich werde somit das Google-Maps Userrmap-Plugin aus der Plugin-Sektion nehmen und absolut nicht mehr supporten. Supportanfragen sind entsprechend für die gesamte Community zu stellen und mir NICHT mehr per PN! 

Sollte das Plugin von einem anderen übernommen werden oder reingestellt werden, sind alle Copyright-Hinweise zu beachten (!).

Code:
/***************************************************************************
*
*   Usermap-system for MyBB
*   Copyright: © 2008-2013 Online - Urbanus / Website: http://www.Online-Urbanus.be
*
*   Copyright: © 2016 Jockl
*   http://forum.mybboard.de/user-2693.html
*
*   Copyright: © 2019 itsmeJAY
*   https://www.mybb.de/forum/user-10220.html
*
***************************************************************************/
Zitieren
#25
(21.06.2020, 19:09)itsmeJAY schrieb: Ich werde somit das Google-Maps Userrmap-Plugin aus der Plugin-Sektion nehmen und absolut nicht mehr supporten.

Was soll das Huh
Auch wenn die Veränderungen des Plugins nicht aus Deiner Idee entstanden sind, so sind sie doch so gravierend, dass nur Du dafür supporten kannst und dass man dieses Plugin in der Weiterentwicklung Dir zurecht zuschreiben kann.
Du stellst für den Support Deiner Plugins ein eigenes Forum bereit, welches aber schon über längere Zeit geschlossen ist... Huh
Ich weiß gerade nicht, was hier Dein Problem ist und was ich von dem allen hier halten soll.

Grüße
Zitieren
#26
Eine neue Version wurde veröffentlicht: Google Maps Usermap 1.5.0
Zitieren
#27
Der Download ist nicht möglich, da der Downloadlink nachstehendes Ergebnis anzeigt:
   
Ein Hinweis was zur bisherigen Version 1.4.5 zur Version 1.5.0 geändert/verbessert wurde (ChangeLog) ist der aktuellen PlugIn-Beschreibung leider nicht zu entnehmen.
@Nachtrag:
Warum steht da eigentlich dass das PlugIn Usermap V1.5.0 noch nicht übersetzt wäre?
Siehe    
In der Version 1.4.x wurden im Zuge der Weiterentwicklung unter aktiver Mitwirkung von Schnapsnase un meiner Wenigkeit von mir die Deutschen Übersetzungen erstellt und waren bisher auch im Downloadfile eingebunden! Die Downloadangabe Letzte Aktualisierung: 13.04.2020 deckt sich zudem mit der zu diesem Zeitpunkt veröffentlichten Version 1.4.x.

Die Deutsche Übersetzung einfach in Form einer V1.5.0 zu unterschlagen wäre, vorbehaltlich das es zutrifft, wahrlich nicht die feine englische Art für einen PlugIn-Entwickler gegenüber dem/den Autor/en aber auch allenn Nutzern des PlugIns. Derzeit geht man mal wohlwollend von einem Versehen aus.

@itsmeJAY
Dass Du 
Zitat:Ich werde somit das Google-Maps Userrmap-Plugin aus der Plugin-Sektion nehmen und absolut nicht mehr supporten
nichts mehr am PlugIn supportest ist selbstverständlich zu respektieren.

Der Download der Version 1.4.x, wurde mit viel gemeinsamen Engagement (itsmeJAY, Schnapsnase, Gert) erstellt. Diesen einfach ohne Rücksprache mit den Initiatoren vom Netz zu nehmen ist denselbigen sowie den gesamten Usermap-Anwendern gegenüber kein korrektes Verhalten.

Schlußfolgernd kann man den von Dir erstellten PlugIns nicht mehr großes Vertrauen entgegen bringen, denn wenn es Dir (nach Tageslaune) beliebt, lässt Du die Downloadlinks (wie jetzt bei der Usermap) ins Leere laufen. So etwas macht man einfach nicht und schädigt nebenbei das Vertrauen in die gesamte MyBB-Community, insbesondere deren PlugIn-Entwickler!
Jammer nicht rum ...Du musst (k/m)eine Hilfe (nicht) annehmen!
MyBB: 1.8.27 | PHP: 7.4.19 | SQL: 5.7.34
Tools [Unixzeit ⇔ Realzeit] ♦ [BOM-Finder] ♦ [301] ♦ [SQL-Prefix-Changer] ♦ [USV-Rechner]
Zitieren
#28
Hallo JAY,

ich gehe hier weitgehend mit Gertis Anmerkungen konform. Wenn Du Dich erinnerst haben wir (nicht nur Du) damals Einiges an Zeit in dieses Projekt gesteckt.
Wenn ich damals für mich keine provisorische Lösung gesucht und gefunden hätte (siehe hier ) wäre das Plugin auch gar nicht mehr nutzbar gewesen.
Dies alles (auch Deine engagierte Weiterentwicklung) ist für den Allgemeinnutz der Community passiert.
Ich bin daher sehr enttäuscht, dass Du jetzt mal eben das Plugin einfach vom Markt fegst.
Oder wie soll ich deine Argumentation und den nicht mehr funktionierenden Download-Link verstehen?!

Grüße
Zitieren
#29
(22.06.2020, 12:56)Schnapsnase schrieb: Wenn ich damals für mich keine provisorische Lösung gesucht und gefunden hätte (siehe hier ) wäre das Plugin auch gar nicht mehr nutzbar gewesen.

Ich hatte mich leider mit dem Thema damals wegen Abwesenheit nicht auseinandersetzen können, kann das damalige Problem mit den API-Keys (was ja wohl auch ein Grund für die neue Variante war) bis heute nicht nachvollziehen. Das von mir zur Verfügung gestellte Plugin funktioniert bei mir bis heute problemlos auf meiner Seite....mit einem einzigen API-Key. Leider kann ich nicht nachvollziehen, warum es bei dem/der ein oder anderen nicht tut.... Sad
viele Grüße
Jockl
übersetzte und eigene Plugins
Zitieren
#30
Hallo Jockl,
mal abgesehen von den eingeführten Abrechnungsmodalitäten bei google, wonach die alten API-Keys ungültig wurden entstand u.A. ein weiteres Problem. Der API-Key darf nicht eingeschränkt sein, sonst funktioniert kein Geocoding. Du kannst also keinen Pin setzen.
Wenn Du also nur einen Key verwendest, kannst Du diesen nicht ausreichend schützen.
Der Key ist im Quellcode sichtbar.
Theoretisch (unter gewissen Voraussetzungen) wäre es also möglich, dass ich mit Deinem Key meine Karte betreibe und Du dafür zahlst. Wink
Verwende ich für die Map und das Geocoding verschiedene Keys, so kann ich wenigstens den für die Map url-einschränken. Den anderen Key schränke ich so ein, dass er nur mit einer API funktioniert und somit bin ich auf der sicheren Seite.
Das war aber nur ein Problem. An alles kann ich mich nicht mehr erinnern - müsste es erst wieder durcharbeiten. Wink 
Grüße
Zitieren